#' Find, Characterize, and Explore Heat Waves in Climate Projections
#'
#' \code{futureheatwaves} takes a directory of climate projection files and,
#' for each, identifies and characterizes all heat waves. The definition used to
#' identify heat waves can be customized. Characterizations include several
#' metrics of heat wave length, intensity, and timing in the year. Heat waves
#' can be explored by applying custom functions across all generated heat wave
#' files. This work was supported in part by grants from the National Institute
#' of Environmental Health Sciences (R00ES022631), the National Science
#' Foundation (1331399), and the Colorado State University Vice President for
#' Research.
#'
#' @docType package
#' @name futureheatwaves
#' @useDynLib futureheatwaves
#' @importFrom Rcpp sourceCpp
NULL
